Bug 405791 - gdbserver in separate package
gdbserver in separate package
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-30 06:22 EST by Lubomir Kundrak
Modified: 2008-03-02 13:39 EST (History)
0 users

See Also:
Fixed In Version: gdb-6.7.1-13.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-02 13:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-30 06:22:46 EST
Feature ehancement request:

I wonder if it would be possible to make gdbserver into separate subpackage
(gdb-server, to follow the convention). It is often used separately from the
debugger itself and it would be convenient if it could be easily installed
alone, for example in minimal instllations, or for remotely debugging anaconda's
stage1 image. gdbserver is just 76K compared to 7M penalty of installing the
whole package.
Comment 1 Jan Kratochvil 2007-11-30 06:31:53 EST
Hmm, I was mostly decided to remove gdbserver at all:

On Mon, 15 Oct 2007 13:36:24 +0200, Jan Kratochvil wrote:
> (328021) gdb: RHEL/F rpm contains natively built gdbserver, it IMO has no use
>   as on systems where it can run one can run GDB itself.  Remove it from rpm?

Would you like gdbserver to be supplied in the release build of anaconda?
As otherwise for the internal builds some 7MB of the image data should not matter.
Comment 2 Lubomir Kundrak 2007-11-30 06:39:29 EST
I do not plan to, I just thought it would be usable. I am not the person who
decides, it was just an example. But needless to say, debugging stage1 problems
is a PITA these days -- the self-grown signal handler that just traverses stack
frame and prints hex addresses of routines, and then copying them by hand and
looking up in symbol table by hand, and then guessing what the problem was
without any other data (even other things on stack) is far from being perfect.

I use Fedora on small devices and in environments with limited resources
(running off ram-disk, etc.), and there are other people that do so. Having
gdbserver in single package would enable me include gdbserver there more cleanly.

You planned to remove it completly -- most people don't use it anyways, so
there's no need for it in the gdb rpm. Just move it to a subpackage.
Comment 3 Jan Kratochvil 2007-11-30 11:05:40 EST
Could you please say truth when you practically used the rpm-prebuilt gdbserver?
The case where you could not use full-blown GDB therein?  I ask because I have
not met such case so far.  If you say so going to split it.

Sure gdbserver is useful but more in an embedded devices where you do a custom
binary build of it anyway.  This is the reason why I was considering its removal.
Comment 5 Jan Kratochvil 2008-03-02 13:39:42 EST
* Wed Feb 20 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.7.1-13
- gdbserver separated into an extra package (BZ 405791).

Note You need to log in before you can comment on or make changes to this bug.